> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Filtering

When listing all existing API objects, the returned list appears in reverse chronological order, with the most recently created accounts appearing first. Optional filtering parameters are described below.

#### Listing and filtering objects

An API may have filterable fields that can be used to refine the listing of all given objects. For example, to find all ACH objects where the `status` field is set to `pending`, the corresponding field and value can be filtered using a query string in `parameter=value` format.

##### Definition

<CodeGroup>
  ```bash bash theme={null}
  GET <<API_ENDPOINT>>/$OBJECT_PATH
  ```
</CodeGroup>

Returns a list of objects with the optional filtering parameters applied.

##### Example Request

<CodeGroup>
  ```bash bash theme={null}
  $ curl https://api.treasuryprime.com/ach?status=pending" \
      -u $API_KEY_ID:$API_KEY_VALUE
  ```
</CodeGroup>

##### Example Response

<CodeGroup>
  ```bash bash theme={null}
  {
      "data": [
          {
              "account_id": "acct_123",
              "amount": "10.00",
              "counterparty_id": "cp_123",
              "created_at": "2018-10-30T23:57:11Z",
              "description": null,
              "direction": "credit",
              "effective_date": "2018-10-30T23:57:11Z",
              "id": "ach_1234567890",
              "sec_code": "ccd",
              "service": "standard",
              "status": "pending",
              "updated_at": "2018-10-30T23:57:11Z",
              "userdata": null
          },
          {
              "account_id": "acct_456",
              "amount": "1.00",
              "counterparty_id": "cp_456",
              "created_at": "2018-10-30T23:57:09Z",
              "description": null,
              "direction": "credit",
              "effective_date": "2018-10-30T23:57:09Z",
              "id": "ach_1234567891",
              "sec_code": "ccd",
              "service": "standard",
              "status": "pending",
              "updated_at": "2018-10-30T23:57:09Z",
              "userdata": null
          }
      ],
      "page_next": "https://api.treasuryprime.com/ach?page_cursor=acct_456"
  }
  ```
</CodeGroup>
